iPhone 3.1 Exchange encryption causing problems for non-3GS users

A number of iPhone, iPhone 3G, and iPod touch users are reporting problems syncing with Exchange 2007 after upgrading to iPhone OS 3.1. Users on an Apple Discussion thread claim that after installing the update, they receive the message “Policy Requirement – The account [account name] requires encryption which is not supported on this iPod/iPhone.” The problem appears to stem from the pre-3GS models’ lack of hardware encryption; OS 3.1 now enforces the ‘require encryption’ flag, which leaves iPhone 3GS users as the only ones that can successfully sync with an Exchange server that requires such protection. Users on Exchange 2003 or on Exchange 2007 servers that do not require encryption do not seem to be having the problem; it is unknown whether this issue is something Apple can fix through software, as the iPhone 3GS is the only current model known to offer hardware-based encryption. [via TUAW]

Update: A number of iPhone and iPod touch users are complaining of other issues after updating to 3.1/3.1.1, including severe battery drain, podcasts appearing out of order, and random shutdowns, the latter of which can only be remedied by a hard reset. [via MacNN]

Share on facebook
Share on twitter
Share on reddit
Share on linkedin
Share on email
Share on whatsapp